// $Id: kvconfig.h,v 1.7 1998/08/27 19:19:24 lars Exp $
#ifndef KVCONFIG_H
#define KVCONFIG_H

#include <ktopwidget.h>
#include <ksimpleconfig.h>

class KVConfig : public QObject
{
  Q_OBJECT

public:
  KVConfig(QWidget *parent = 0, const char *name = 0);
  virtual ~KVConfig();

  QString findExecutable(QString executable);
  static int setup(bool upgrade = false);
  bool success;

private:
  void findLocations();
  bool lookForExecutables();
  void setupModem();
  void configured();
  QString findDir(const char *root, const char **list);
  QString findDir(const char **roots, const char **list);
  QString findFile(const char *dir, const char **list);
  QString askForDir(const char * message);

  KSimpleConfig *config;
};


#endif







