// $Id: showfaxqueue.h,v 1.2 1998/08/27 19:19:25 lars Exp $

#ifndef SHOWFAXQUEUE_H
#define SHOWFAXQUEUE_H

#include <ktopwidget.h>

class QListBox;
class KProcess;

class ShowQueue : public KTopLevelWidget
{
  Q_OBJECT

public:
  ShowQueue();
  virtual ~ShowQueue();

protected:
  void init();
  void readQueue();

public slots:
  void slotReadStdout(KProcess *proc, char *buffer, int buflen);
  void slotFinishedReading(KProcess *proc);
  void slotFinished();
  void slotDelete();

private:
  QListBox *queued;
  QString buf;
};
#endif /* SHOWFAXQUEUE */
