// $Id: soundio.h,v 1.3 1998/06/24 08:19:35 knoll Exp $

#ifndef _SOUNDIO_H_
#define _SOUNDIO_H_

#include <qobject.h>

class KProcess;

#define SOUNDIO SoundIO::getSoundIO()

class SoundIO : public QObject
{
  Q_OBJECT
  
public:
  SoundIO();
  virtual ~SoundIO();
  static SoundIO *getSoundIO();

  bool play(QString filename);
  /** convert a rmdfile to sound format */
  bool convertToWav(QString rmdfile, QString soundfile);
  bool convertToRmd(QString soundfile, QString rmdfile);
  /** record a rmdfile through the modem */
  bool record(QString rmdfile);
  
public slots:
  void slotStop();
  void slotFinishedPlaying(KProcess *);
  void slotFinishedPlaying();

signals:
  void playing();
  void finished();

private:
  static SoundIO *thisObject;
  bool isplaying;
  KProcess *proc;

public:
  bool isPlaying() { return isplaying; };

};

#endif
