// $Id: global.h,v 1.8 1998/08/31 16:36:01 lars Exp $
#ifndef CONFIG_KVOICE_H
#define CONFIG_KVOICE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#undef BROKEN
#define HERE fprintf(stdout,"%s(%d): here\n",__FILE__,__LINE__) 

extern const char *aboutText;
// statusbar definitions
#define ID_MODEM 0
#define ID_PLAY  1

extern const char *aboutText;

/** Global locale for localization of messages. */
class KLocale;
extern KLocale* NLS;
 
/** Standard accelerator keys. */
class KStdAccel;
extern KStdAccel* keys;

/** Config object */
class KConfig;
extern KConfig *cfg;

/** global config file, can only be changed by root if suid */
class KSimpleConfig;
extern KSimpleConfig *gcfg;

/** audio support */
class KAudio;
extern KAudio *KAUDIO;

class KStatusBar;
extern KStatusBar *STATUSBAR;

/** suid handling */
extern void dropPrivileges();
extern void getPrivileges();
extern bool isSuid;

void debug(const char *msg, ...);
void debugAll(const char *msg, ...);
void mywarning(const char *msg,...);
void testDir( const char *_name );

#endif





